Subject: [os2genau_digest] No. 803
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 14 Feb 2004 00:01:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 13 February 2004
 Number  803
**************************************************

Subjects for today
 
1   phantom ports and sound : Gavin Miller <drumextreme at impulse dot net dot au>
2  Re:  phantom ports and sound : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  phantom ports and sound : Gavin Miller <drumextreme at impulse dot net dot au>
4  Re:  phantom ports and sound : David Shearer" <dshe5874 at bigpond dot net dot au>
5  Re:  phantom ports and sound : Mike O'Connor <mikeoc at dodo dot com dot au>

**= Email   1 ==========================**

Date:  Fri, 13 Feb 2004 12:23:28 +1000
From:  Gavin Miller <drumextreme at impulse dot net dot au>
Subject:   phantom ports and sound

Hi all,

Just updated a bit and now have a board with builtin sound fixed to INT 
3.  The only driver that even remotely loads is the adisndrv.zip files 
which support the VIAVT8235 chip (Uniaud drivers failed).  Like I said 
the driver loads, but no sound.  Having a quick glance at the system 
resources, I notice that I have two serial ports.  The board has one on 
INT 4.  There is a phantom serial port using INT 3; the same as the 
onboard sound.

My theory is that this phantom serial port is preventing sound output.  
How can I force com.sys to only use one serial port.  Failing this, I 
will go and get a cheap SB live and disable the onboard sound :-)

Cheers
G

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 13 Feb 2004 15:24:39 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  phantom ports and sound

Infra-Red often uses COM2: (IRQ 3) - is that what you've got enabled in the BIOS ??

Cheers/2

Ed.

Gavin Miller wrote:

> Hi all,
>
> Just updated a bit and now have a board with builtin sound fixed to INT
> 3.  The only driver that even remotely loads is the adisndrv.zip files
> which support the VIAVT8235 chip (Uniaud drivers failed).  Like I said
> the driver loads, but no sound.  Having a quick glance at the system
> resources, I notice that I have two serial ports.  The board has one on
> INT 4.  There is a phantom serial port using INT 3; the same as the
> onboard sound.
>
> My theory is that this phantom serial port is preventing sound output.
> How can I force com.sys to only use one serial port.  Failing this, I
> will go and get a cheap SB live and disable the onboard sound :-)
>
> Cheers
> G
>

>  

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 13 Feb 2004 14:57:48 +1000
From:  Gavin Miller <drumextreme at impulse dot net dot au>
Subject:  Re:  phantom ports and sound

No there's no mention of infra red in the BIOS

Cheers
G

Ed Durrant wrote:

>Infra-Red often uses COM2: (IRQ 3) - is that what you've got enabled in the BIOS ??
>
>Cheers/2
>
>Ed.
>
>Gavin Miller wrote:
>
>  
>
>>Hi all,
>>
>>Just updated a bit and now have a board with builtin sound fixed to INT
>>3.  The only driver that even remotely loads is the adisndrv.zip files
>>which support the VIAVT8235 chip (Uniaud drivers failed).  Like I said
>>the driver loads, but no sound.  Having a quick glance at the system
>>resources, I notice that I have two serial ports.  The board has one on
>>INT 4.  There is a phantom serial port using INT 3; the same as the
>>onboard sound.
>>
>>My theory is that this phantom serial port is preventing sound output.
>>How can I force com.sys to only use one serial port.  Failing this, I
>>will go and get a cheap SB live and disable the onboard sound :-)
>>
>>Cheers
>>G
>>

>> 

>>    
>>
>

> 

>
>
>  
>

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Fri, 13 Feb 2004 22:03:34 +1000
From:  "David Shearer" <dshe5874 at bigpond dot net dot au>
Subject:  Re:  phantom ports and sound

I seem to recall doing this at one stage.  You must specify on the com.sys line manual settings for the com 
ports - for the one using irq 3 just specify a dummy one ie one that doesn't exist.  This worked for me.  Look at 
the help system item for com.sys to find out the settings.

Eg device=x:\com.sys (1,3f8,4) (2,2f8,10)  this assigns irq 10 to com port 2 - of course this will mean that port 
won't work but that is what you want.  This assumes that you can't also just disbale that serial port in teh bios 
settings and hence free up irq 3.

David

On Fri, 13 Feb 2004 12:23:28 +1000, Gavin Miller wrote:

>Hi all,
>
>Just updated a bit and now have a board with builtin sound fixed to INT 
>3.  The only driver that even remotely loads is the adisndrv.zip files 
>which support the VIAVT8235 chip (Uniaud drivers failed).  Like I said 
>the driver loads, but no sound.  Having a quick glance at the system 
>resources, I notice that I have two serial ports.  The board has one on 
>INT 4.  There is a phantom serial port using INT 3; the same as the 
>onboard sound.
>
>My theory is that this phantom serial port is preventing sound output.  
>How can I force com.sys to only use one serial port.  Failing this, I 
>will go and get a cheap SB live and disable the onboard sound :-)
>
>Cheers
>G
>

> 

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 13 Feb 2004 22:46:03 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:  Re:  phantom ports and sound

Gavin Miller wrote:

> No there's no mention of infra red in the BIOS
>
> Ed Durrant wrote:
>
>> Infra-Red often uses COM2: (IRQ 3) - is that what you've got enabled 
>> in the BIOS ??
>>
>> Gavin Miller wrote: 
>>
>>> Hi all,
>>>
>>> Just updated a bit and now have a board with builtin sound fixed to INT
>>> 3.  The only driver that even remotely loads is the adisndrv.zip files
>>> which support the VIAVT8235 chip (Uniaud drivers failed).  Like I said
>>> the driver loads, but no sound.  Having a quick glance at the system
>>> resources, I notice that I have two serial ports.  The board has one on
>>> INT 4.  There is a phantom serial port using INT 3; the same as the
>>> onboard sound.
>>>
>>> My theory is that this phantom serial port is preventing sound output.
>>> How can I force com.sys to only use one serial port.  Failing this, I
>>> will go and get a cheap SB live and disable the onboard sound :-) 
>>

Hi Gavin,
Are you *sure* you don't have any IR settings in ther BIOS?
In the manual I am holding for an ancient[?], 2001 ASUS CUSI-M 
motherboard there is an option in the BIOS under [I/O Device 
Configuration] menu-page to set "UART2 Use Infrared" as [DISABLED].  On 
the same screen under "Onboard Serial Port 2", [DISABLED] is one of the 
five available settings.

HTH

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------